Package org.bukkit

# Interface Keyed

All Superinterfaces:
  `net.kyori.adventure.key.Keyed`

All Known Subinterfaces:
  `Advancement`, `ComplexRecipe`, `KeyedBossBar`, `LimitedRegion`, `LootTable`, `Reference<T>`, `RegionAccessor`, `Tag<T>`, `World`

All Known Implementing Classes:
  `Art`, `Attribute`, `BaseTag`, `Biome`, `BlastingRecipe`, `CampfireRecipe`, `Cat.Type`, `ConfiguredStructure`, `CookingRecipe`, `Enchantment`, `EnchantmentWrapper`, `EntitySetTag`, `EntityType`, `Fluid`, `Frog.Variant`, `FurnaceRecipe`, `GameEvent`, `LootTables`, `Material`, `MaterialSetTag`, `MemoryKey`, `PotionEffectType`, `PotionEffectTypeWrapper`, `PotionMix`, `ShapedRecipe`, `ShapelessRecipe`, `SmithingRecipe`, `SmokingRecipe`, `Sound`, `Statistic`, `StonecuttingRecipe`, `Structure`, `StructureType`, `StructureType`, `Villager.Profession`, `Villager.Type`

public interface Keyed extends net.kyori.adventure.key.Keyed
Represents an object which has a `NamespacedKey` attached to it.

## Method Summary

Modifier and Type
Method
Description
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.
`default @NotNull net.kyori.adventure.key.Key`
`key()`
Returns the unique identifier for this object.

## Method Details

### getKey

@NotNull @NotNull NamespacedKey getKey()
Return the namespaced identifier for this object.

Returns:
  this object's key

### key

default @NotNull net.kyori.adventure.key.Key key()
Returns the unique identifier for this object.

Specified by:
  `key` in interface `net.kyori.adventure.key.Keyed`
Returns:
  this object's key